      program main

      integer
     +     grd,                 !格子点数
     +     trn                  !切断波数

      parameter
     +     (Ifmax=10,           !計算結果を出力するファイルの数
     +     Idmax=10,            !１つのファイルに出力するスナップショットの数
     +     Intv=250,            !データの保存する間隔 (Intv ステップ毎)
     +     grd=3, trn=170)
      real*8  Gstr(grd,grd)
      real*8  test(3)

      do 20 J=1, grd
        do 20 I=1, grd
          Gstr(I,J)=J*10+I
   20 continue
*
c      read (20) ((Gstr(II,JJ),JJ=1,grd),II=1,grd)
c      write(19) ((Gstr(II,JJ),JJ=1,grd),II=1,grd)
      write(6,200) ((Gstr(II,JJ), II=1,grd),JJ=1,grd)
c      write(6,200) ((Gstr(II,JJ), JJ=1,grd),II=1,grd)
c
c      test(1)=1.304D+00
c      test(2)=2.311D+00
c      test(3)=3.1214D+00
c      write(20) (test(II), II=1,3)
c      read(20) (test(II), II=1,3)
c      write(6,200) (test(II), II=1,3)

 200  FORMAT (1X, E12.5)
      STOP
      end
